# interface.py – app/personnalisation

import streamlit as st
from utils.translations import _
from .ajout import ajouter_produit
from .modification import modifier_produit
from .import_export import importer_exporter_graph
from utils.widgets import html_expander

def interface_personnalisation(G):
    st.markdown(f"# {str(_('pages.personnalisation.title'))}")
    html_expander(f"{str(_('pages.personnalisation.help'))}", content="\n".join(_("pages.personnalisation.help_content")), open_by_default=False, details_class="details_introduction")
    st.markdown("---")

    G = ajouter_produit(G)
    G = modifier_produit(G)
    G = importer_exporter_graph(G)

    return G
